#110219 Report by node travis-ci covering 2178 tests from 56 modules resulted into 16 errors

Report

ObsPy version
1.2.1.post0+36.g021d861f3a
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/666699711
GitHub Pull Request
https://github.com/obspy/obspy/pull/2577
Report file
XML document
Total runtime
521.3 sec
Report date/time
2020-03-25 04:39:39

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 7.3.0
Python Implementation
CPython
Python Version
3.8.2
Release
4.15.0-1028-gcp
System
Linux
Version
#29~16.04.1-Ubuntu SMP Tue Feb 12 16:31:10 UTC 2019

Dependencies

cartopy
---
decorator
4.4.2
flake8
---
geographiclib
1.50
lxml.etree
4.5.0
m2crypto
---
matplotlib
3.2.1
mock
---
mpl_toolkits.basemap
1.2.1
numpy
1.18.1
pep8-naming
---
pyflakes
---
pyimgur
0.6.0
pyproj
1.9.6
requests
2.23.0
scipy
1.4.1
setuptools
46.1.1.post20200322
shapefile
2.1.0
sqlalchemy
1.3.15

Modules (56)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm - -
obspy.clients.fdsn 5 1 2 3 4 5
obspy.clients.filesystem - -
obspy.clients.iris 6 6 7 8 9 10 11
obspy.clients.neic 4 12 13 14 15
obspy.clients.nrl - -
obspy.clients.seedlink 1 16
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 16 16

Tracebacks (16)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/tests/test_client.py", line 605, in test_authentication
got = client.get_waveforms(*query)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 835, in get_waveforms
data_stream = self._download(url, use_gzip=False)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1388, in _download
raise_on_error(code, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1716, in raise_on_error
raise FDSNException("Unauthorized, authentication required.",
obspy.clients.fdsn.header.FDSNException: Unauthorized, authentication required.
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/tests/test_client.py", line 896, in test_dataselect_bulk
got = client.get_waveforms_bulk(bulk, **params)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1014, in get_waveforms_bulk
data_stream = self._download(url,
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1388, in _download
raise_on_error(code, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1716, in raise_on_error
raise FDSNException("Unauthorized, authentication required.",
obspy.clients.fdsn.header.FDSNException: Unauthorized, authentication required.
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/tests/test_client.py", line 1490, in test_eida_token_resolution
user, password = client._resolve_eida_token(token=token)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 377, in _resolve_eida_token
response = self._download(url=url, data=token.encode(),
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1388, in _download
raise_on_error(code, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1714, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Detailed response of server:
Error 400: Bad Request
token is expired
Usage details are available from /fdsnws/dataselect/1/
Request:
/fdsnws/dataselect/1/auth
Request Submitted:
2020-03-25T09:31:17.899836
Service Version:
1.2.0
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/tests/test_client.py", line 1367, in test_redirection_auth
st = c_auth.get_waveforms(
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 835, in get_waveforms
data_stream = self._download(url, use_gzip=False)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1388, in _download
raise_on_error(code, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1716, in raise_on_error
raise FDSNException("Unauthorized, authentication required.",
obspy.clients.fdsn.header.FDSNException: Unauthorized, authentication required.
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.fdsn.client.Client.get_stations_bulk
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1029, in get_stations_bulk
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1061, in obspy.clients.fdsn.client.Client.get_stations_bulk
Failed example:
print(inv) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
Inventory created at ...
Created by: IRIS WEB SERVICE: fdsnws-station | version: ...
...
Sending institution: IRIS-DMC (IRIS-DMC)
Contains:
Networks (2):
GR, IU
Stations (2):
GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
IU.ANMO (Albuquerque, New Mexico, USA)
Channels (0):
Got:
Inventory created at 2020-03-25T09:30:57.000000Z
	Created by: IRIS WEB SERVICE: fdsnws-station | version: 1.1.45
		
	Sending institution: IRIS-DMC (IRIS-DMC)
	Contains:
		Networks (2):
			GR, IU
		Stations (2):
			GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
			IU.ANMO (Albuquerque, New Mexico, USA)
		Channels (0):
<BLANKLINE>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/fdsn/client.py", line 1091, in obspy.clients.fdsn.client.Client.get_stations_bulk
Failed example:
print(inv) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
Inventory created at ...
Created by: IRIS WEB SERVICE: fdsnws-station | version: ...
...
Sending institution: IRIS-DMC (IRIS-DMC)
Contains:
Networks (2):
GR, IU
Stations (2):
GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
IU.ANMO (Albuquerque, New Mexico, USA)
Channels (5):
GR.GRA1..BHZ, GR.GRA1..BHN, GR.GRA1..BHE, IU.ANMO.00.BHZ,
IU.ANMO.10.BHZ
Got:
Inventory created at 2020-03-25T09:30:57.000000Z
	Created by: IRIS WEB SERVICE: fdsnws-station | version: 1.1.45
		
	Sending institution: IRIS-DMC (IRIS-DMC)
	Contains:
		Networks (2):
			GR, IU
		Stations (2):
			GR.GRA1 (GRAFENBERG ARRAY, BAYERN)
			IU.ANMO (Albuquerque, New Mexico, USA)
		Channels (5):
			GR.GRA1..BHZ, GR.GRA1..BHN, GR.GRA1..BHE, IU.ANMO.00.BHZ,
			IU.ANMO.10.BHZ
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 435, in resp
data = self._fetch("resp", **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 122, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 531, in open
response = meth(req, response)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 640, in http_response
response = self.parent.error(
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 569, in error
return self._call_chain(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 502, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/urllib/request.py", line 649, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404:
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/tests/test_client.py", line 235, in test_resp
result = client.resp("UW", "LON", "", "EHZ")
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 439, in resp
raise Exception(msg)
Exception: No response data available (HTTPError: HTTP Error 404: )
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.evalresp
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 824, in evalresp
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 930, in obspy.clients.iris.client.Client.evalresp
Failed example:
data[0] # frequency, amplitude, phase of first point
Expected:
array([ 1.00000000e-05, 1.05599900e+04, 1.79200700e+02])
Got:
array([ 1.00000000e-05, 1.05593400e+04, 1.79200700e+02])
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.sacpz
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 443, in sacpz
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 481, in obspy.clients.iris.client.Client.sacpz
Failed example:
print(sacpz.decode()) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
* **********************************
* NETWORK (KNETWK): IU
* STATION (KSTNM): ANMO
* LOCATION (KHOLE): 00
* CHANNEL (KCMPNM): BHZ
* CREATED : ...
* START : 2002-11-19T21:07:00
* END : 2008-06-30T00:00:00
* DESCRIPTION : Albuquerque, New Mexico, USA
* LATITUDE : 34.945980
* LONGITUDE : -106.457130
* ELEVATION : 1671.0
* DEPTH : 145.0
* DIP : 0.0
* AZIMUTH : 0.0
* SAMPLE RATE : 20.0
* INPUT UNIT : M
* OUTPUT UNIT : COUNTS
* INSTTYPE : Geotech KS-54000 Borehole Seismometer
* INSTGAIN : 1.935000e+03 (M/S)
* COMMENT :
* SENSITIVITY : 8.115970e+08 (M/S)
* A0 : 8.608300e+04
* **********************************
ZEROS 3
+0.000000e+00 +0.000000e+00
+0.000000e+00 +0.000000e+00
+0.000000e+00 +0.000000e+00
POLES 5
-5.943130e+01 +0.000000e+00
-2.271210e+01 +2.710650e+01
-2.271210e+01 -2.710650e+01
-4.800400e-03 +0.000000e+00
-7.319900e-02 +0.000000e+00
CONSTANT 6.986470e+13
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
...
Got:
* **********************************
* NETWORK (KNETWK): IU
* STATION (KSTNM): ANMO
* LOCATION (KHOLE): 00
* CHANNEL (KCMPNM): BHZ
* CREATED : 2020-03-25T09:31:42
* START : 2002-11-19T21:07:00
* END : 2008-06-30T00:00:00
* DESCRIPTION : Albuquerque, New Mexico, USA
* LATITUDE : 34.945981
* LONGITUDE : -106.457133
* ELEVATION : 1671.0
* DEPTH : 145.0
* DIP : 0.0
* AZIMUTH : 0.0
* SAMPLE RATE : 20.0
* INPUT UNIT : M
* OUTPUT UNIT : COUNTS
* INSTTYPE : Geotech KS-54000 Borehole Seismometer
* INSTGAIN : 1.935000e+03 (M/S)
* COMMENT : N/A
* SENSITIVITY : 8.115480e+08 (M/S)
* A0 : 8.607770e+04
* **********************************
ZEROS	3
	+0.000000e+00	+0.000000e+00	
	+0.000000e+00	+0.000000e+00	
	+0.000000e+00	+0.000000e+00	
POLES	5
	-4.800400e-03	+0.000000e+00	
	-7.319900e-02	+0.000000e+00	
	-2.271210e+01	-2.710650e+01	
	-2.271210e+01	+2.710650e+01	
	-5.943130e+01	+0.000000e+00	
CONSTANT	6.985619e+13
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
<BLANKLINE>
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 166, in timeseries
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/client.py", line 309, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ -1.57498380e-06 -1.26325779e-06 -7.84855445e-07 -2.73597749e-07
1.49651157e-07 4.15160798e-07 5.13905604e-07 4.83453846e-07
3.82808793e-07 2.68396462e-07 1.78712199e-07 1.29611124e-07
1.18055056e-07 1.30188894e-07 1.49717962e-07 1.63909334e-07
1.66248356e-07 1.56169492e-07 1.37032302e-07 1.13625617e-07
9.01527812e-08 6.91435815e-08 5.12837559e-08 3.58787240e-08
2.15880380e-08 7.12111747e-09 -8.30076807e-09 -2.47867753e-08
-4.18850163e-08 -5.88481193e-08 -7.49276197e-08 -8.95957797e-08
-1.02641835e-07 -1.14140065e-07 -1.24328977e-07 -1.33465406e-07
-1.41714565e-07 -1.49109766e-07 -1.55579201e-07 -1.61010249e-07
-1.65313111e-07 -1.68455784e-07 -1.70464261e-07 -1.71401581e-07
-1.71345818e-07 -1.70377618e-07 -1.68577216e-07 -1.66025856e-07
-1.62806785e-07 -1.59002880e-07 -1.54692586e-07 -1.49950907e-07
-1.44858731e-07 -1.39513119e-07 -1.34025541e-07 -1.28505050e-07
-1.23038518e-07 -1.17682283e-07 -1.12466232e-07 -1.07400879e-07
-1.02480548e-07 -9.76858487e-08 -9.29923942e-08 -8.83872104e-08
-8.38864977e-08 -7.95416781e-08 -7.54220366e-08 -7.15768351e-08
-6.79996646e-08 -6.46219007e-08 -6.13424831e-08 -5.80760755e-08
-5.47916663e-08 -5.15201179e-08 -4.83238480e-08 -4.52400428e-08
-4.22268691e-08 -3.91482295e-08 -3.58147858e-08 -3.20657350e-08
-2.78491150e-08 -2.32567050e-08 -1.84924538e-08 -1.37877505e-08
-9.30553679e-09 -5.08293407e-09 -1.04185749e-09 2.94031643e-09
6.94010183e-09 1.09256426e-08 1.47523451e-08 1.82121269e-08
2.11040430e-08 2.32887629e-08 2.47070222e-08 2.53666883e-08
2.53170054e-08 2.46268197e-08 2.33717188e-08 2.16230269e-08
1.94298995e-08 1.67974488e-08 1.36770684e-08 9.98366367e-09
5.63695890e-09 6.05533790e-10 -5.07076026e-09 -1.12896599e-08
-1.79169195e-08 -2.48200855e-08 -3.18936770e-08 -3.90750259e-08
-4.63542804e-08 -5.37781659e-08 -6.14443394e-08 -6.94850399e-08
-7.80407845e-08 -8.72237038e-08 -9.70718688e-08 -1.07505542e-07
-1.18305088e-07 -1.29127912e-07 -1.39567632e-07 -1.49241075e-07
-1.57875803e-07 -1.65368178e-07 -1.71790631e-07 -1.77345939e-07
-1.82285021e-07 -1.86816635e-07 -1.91038268e-07 -1.94909887e-07
-1.98274606e-07 -2.00912226e-07 -2.02602905e-07 -2.03182779e-07
-2.02579315e-07 -2.00817880e-07 -1.97997124e-07 -1.94244009e-07
-1.89668327e-07 -1.84332833e-07 -1.78246282e-07 -1.71378986e-07
-1.63693031e-07 -1.55171691e-07 -1.45833766e-07 -1.35728754e-07
-1.24919623e-07 -1.13462782e-07 -1.01392523e-07 -8.87162628e-08
-7.54257243e-08 -6.15244531e-08 -4.70620378e-08 -3.21568336e-08
-1.69910290e-08 -1.77754611e-09 1.32849225e-08 2.80474115e-08
4.24236646e-08 5.63785001e-08 6.98959539e-08 8.29372269e-08
9.54061861e-08 1.07142199e-07 1.17947948e-07 1.27638174e-07
1.36082292e-07 1.43220930e-07 1.49057399e-07 1.53640656e-07
1.57056789e-07 1.59433057e-07 1.60944580e-07 1.61806696e-07
1.62240426e-07 1.62410657e-07 1.62353814e-07 1.61927488e-07
1.60818345e-07 1.58627600e-07 1.55018085e-07 1.49873983e-07
1.43409324e-07 1.36168694e-07 1.28890449e-07 1.22247044e-07
1.16532007e-07 1.11410550e-07 1.05866313e-07 9.84378161e-08
8.77439135e-08 7.31660279e-08 5.54251933e-08 3.67202624e-08
2.01523722e-08 8.42484038e-09 2.32815922e-09 3.11318193e-10]
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/tests/test_client.py", line 164, in test_evalresp
self.assertEqual(fp.readline(),
AssertionError: '1.000000E-05 1.055934E+04 1.792007E+02\n' != '1.000000E-05 1.055999E+04 1.792007E+02\n'
- 1.000000E-05 1.055934E+04 1.792007E+02
? ^^
+ 1.000000E-05 1.055999E+04 1.792007E+02
? ^^
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/iris/tests/test_client.py", line 39, in test_sacpz
self.assertEqual(result, expected)
AssertionError: Lists differ: [b'* [330 chars]945981', b'* LONGITUDE : -106.457133',[845 chars] b''] != [b'* [330 chars]945980', b'* LONGITUDE : -106.457130',[832 chars] b'']
First differing element 8:
b'* LATITUDE : 34.945981'
b'* LATITUDE : 34.945980'
First list contains 2 additional elements.
First extra element 36:
b''
Diff is 2077 characters long. Set self.maxDiff to None to see it.
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 21, in Client
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 42, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 48, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 69, in get_waveforms
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 109, in obspy.clients.neic.client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms_nscl
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 126, in get_waveforms_nscl
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/client.py", line 160, in obspy.clients.neic.client.Client.get_waveforms_nscl
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
IU.ANMO.00.BH... | 40.0 Hz, 401 samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/neic/tests/test_client.py", line 53, in test_get_waveform_nscl
self.assertEqual(len(st), 3)
AssertionError: 0 != 3
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seedlink.basic_client.Client.get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/seedlink/basic_client.py", line 71, in get_waveforms
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/seedlink/basic_client.py", line 79, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
G.FDFM.00.BHZ | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/seedlink/basic_client.py", line 88, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
6 Trace(s) in Stream:
G.FDFM.10.BHZ | 20... | 20.0 Hz, ... samples
G.FDFM.10.BHN | 20... | 20.0 Hz, ... samples
G.FDFM.10.BHE | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHZ | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHN | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHE | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.8/site-packages/obspy/clients/seedlink/basic_client.py", line 102, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
6 Trace(s) in Stream:
G.FDFM.10.BHZ | 20... | 20.0 Hz, ... samples
G.FDFM.10.BHN | 20... | 20.0 Hz, ... samples
G.FDFM.10.BHE | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHZ | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHN | 20... | 20.0 Hz, ... samples
G.FDFM.00.BHE | 20... | 20.0 Hz, ... samples
Got:
0 Trace(s) in Stream:
<BLANKLINE>

Skipped tests (41)

Submodule Test Skip message
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) unsupported proj4 library
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
105.110s get_waveforms (obspy.clients.seedlink.basic_client.Client)
43.172s test_multiple_waveform_requests_with_multiple_info_requests (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
41.298s get_info (obspy.clients.seedlink.basic_client.Client)
21.924s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
20.520s test_get_info (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
9.927s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
8.529s __init__ (obspy.taup)
6.774s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
6.122s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
5.452s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.830s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
4.085s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_eidaws_routing_client.EIDAWSRoutingClientTestCase)
3.852s plot_travel_times (obspy.taup.tau)
3.640s test_iris_example_queries_dataselect_discover_services_false (obspy.clients.fdsn.tests.test_client.ClientTestCase)
3.607s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
3.606s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
3.506s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
3.478s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
3.036s test_get_waveforms (obspy.clients.syngine.tests.test_client.ClientTestCase)
3.018s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)

Chuck Norris fact

Chuck Norris can dereference NULL.